Bug 1015765 - Review Request: islamic-menus - Islamic menus for desktops conforming with xdg standards
Review Request: islamic-menus - Islamic menus for desktops conforming with xd...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-05 05:21 EDT by Mosaab Alzoubi
Modified: 2014-10-20 07:48 EDT (History)
3 users (show)

See Also:
Fixed In Version: islamic-menus-1.0.6-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 22:44:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mosaab Alzoubi 2013-10-05 05:21:30 EDT
Spec URL: http://helallinux.com/paste/show.php?id=1227
SRPM URL: http://sourceforge.net/projects/oji/files/srpms/islamic-menus-1.0.5-1.oj16.fc16.src.rpm
Description: 
Catagorize islamic apps in a menu for the GNOME, KDE and other xdg-conforming desktops

Fedora Account System Username: moceap
Comment 1 Mosaab Alzoubi 2013-10-06 07:19:29 EDT
Spec URL: http://helallinux.com/paste/show.php?id=1227&mode=raw
SRPM URL: http://downloads.sourceforge.net/projects/oji/srpms/islamic-menus-1.0.5-1.oj16.fc16.src.rpm
Description: 
Catagorize islamic apps in a menu for the GNOME, KDE and other xdg-conforming desktops

Fedora Account System Username: moceap
Comment 2 Christopher Meng 2013-10-07 05:00:36 EDT
The paste you are looking for does not exist.

Also in my memory, spec contains a URL points to mailing lists, why?
Comment 4 Mosaab Alzoubi 2013-10-07 17:26:18 EDT
There is an error in sourceforge web interface , you can get it through mirrors :

http://ftp.jaist.ac.jp/pub/sourceforge/o/oj/oji/srpms/islamic-menus-1.0.5-2.fc19.src.rpm
Comment 5 Mosaab Alzoubi 2013-10-08 15:36:27 EDT
Now hosted on Ojuba project server :

Spec : http://ojuba.org/oji/SPECS/islamic-menus-1.0.5-3.spec
SRPM : http://ojuba.org/oji/SRPMS/islamic-menus-1.0.5-3.oji.fc19.src.rpm
Comment 7 Mosaab Alzoubi 2013-10-17 19:55:20 EDT
- To zero warnings by rpmlint.

Spec : http://ojuba.org/oji/SPECS/islamic-menus.spec
SRPM : http://ojuba.org/oji/SRPMS/islamic-menus-1.0.5-5.oji.fc19.src.rpm
Comment 8 Mosaab Alzoubi 2013-11-18 18:15:32 EST
- Remove un-necessary lines about buildroot.
- Use Fedora icon cache rules.
- Update source line to github directly.

Spec : http://ojuba.org/oji/SPECS/islamic-menus.spec
SRPM : http://ojuba.org/oji/SRPMS/islamic-menus-1.0.5-6.oji.fc19.src.rpm
Comment 9 Christopher Meng 2013-11-19 02:44:07 EST
Better include my patch:

https://github.com/cicku/islamic-menus/commit/927aae332f56ae0dc0c80afb9e4d1e69b0def9ec.patch

Only install -p is needed though.

-----------

I looked into my system directories, strange for this:

/etc/xdg/menus/applications-gnome-merged

I couldn't see any reference of this directory. And fedora-review confirmed my guess:

[!]: Package requires other packages for directories it uses.
     Note: No known owner of /etc/xdg/menus/applications-gnome-merged
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/xdg/menus/applications-
     gnome-merged

Please see these ref tell me the reason of using this directory:

Bug 754845

https://lists.fedoraproject.org/pipermail/devel/2011-August/155342.html
Comment 10 Mosaab Alzoubi 2013-11-19 09:20:09 EST
Welcome Christopher, Your commit pushed.

--------

So we have 2 lines:
%config(noreplace) %{_sysconfdir}/xdg/menus/applications-merged/islamic.menu
%config(noreplace) %{_sysconfdir}/xdg/menus/applications-gnome-merged/islamic.menu

If i remove second one, can I get the same result?
Comment 11 Christopher Meng 2013-11-19 09:23:51 EST
(In reply to Mosaab Alzoubi from comment #10)
> If i remove second one, can I get the same result?

I have to say I don't know this time.

You may ask this in -devel list again(don't be afraid.)

Thanks.
Comment 12 Mosaab Alzoubi 2013-11-20 03:15:08 EST
It's fixed after first packaging :)
https://bugzilla.gnome.org/show_bug.cgi?id=688972

I'll update this package due to updating upstream.
Thanks.
Comment 13 Mosaab Alzoubi 2013-11-20 03:17:37 EST
This example of wine.spec:
http://pkgs.fedoraproject.org/cgit/wine.git/tree/wine.spec

Using only one line:
%config %{_sysconfdir}/xdg/menus/applications-merged/wine.menu
Comment 15 Christopher Meng 2013-11-23 08:22:17 EST
Package is fine, but can you tell me how can I test it?

Thanks.
Comment 19 Christopher Meng 2013-11-25 19:28:18 EST
make %{?_smp_mflags} install DESTDIR=%{buildroot}

-->

make install DESTDIR=%{buildroot}
Comment 21 Mosaab Alzoubi 2013-11-26 04:31:46 EST
New Package SCM Request
=======================
Package Name: islamic-menus
Short Description: Islamic menus for desktops conforming with xdg standards
Owners: moceap
Branches: f20 f19 f18 el6
Comment 22 Gwyn Ciesla 2013-11-26 08:24:16 EST
Git done (by process-git-requests).
Comment 23 Fedora Update System 2013-11-26 14:40:46 EST
islamic-menus-1.0.6-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/islamic-menus-1.0.6-3.fc20
Comment 24 Fedora Update System 2013-11-26 14:40:47 EST
islamic-menus-1.0.6-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/islamic-menus-1.0.6-3.fc18
Comment 25 Fedora Update System 2013-11-26 14:44:07 EST
islamic-menus-1.0.6-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/islamic-menus-1.0.6-3.el6
Comment 26 Fedora Update System 2013-11-26 14:44:49 EST
islamic-menus-1.0.6-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/islamic-menus-1.0.6-3.fc19
Comment 27 Fedora Update System 2013-11-27 16:24:18 EST
islamic-menus-1.0.6-3.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 28 Fedora Update System 2013-11-29 01:57:19 EST
islamic-menus-1.0.6-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 29 Fedora Update System 2013-11-29 01:57:53 EST
islamic-menus-1.0.6-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 30 Fedora Update System 2013-12-13 22:44:59 EST
islamic-menus-1.0.6-3.fc20 has been pushed to the Fedora 20 stable repository.
Comment 31 Mosaab Alzoubi 2014-09-16 19:26:41 EDT
Package Change Request
======================
Package Name: islamic-menus
New Branches: epel7
Owners: moceap
Comment 32 Gwyn Ciesla 2014-10-20 07:48:30 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.